# Sherpa Webform 8.x-2.x

## Installation

Install like any other Drupal module.

## Upgrade from 8.x-1.x-1

There is no upgrade path at this point. Uninstalling the original module is the only method at this point.

## Configuration

* Global settings for the module are found on the Sherpa Webform configuration page. The default values provided should be enough to begin testing in Sherpa's sandbox environment. To move to production you will need a Production URL, Company ID, Authentication Key and Community ID provided by Sherpa.
* Webforms are configured individually from the Build menu under the Sherpa Webform Field Mapping tab. You can enable the form to send to Sherpa, set a custom Community ID and map the fields to their Sherpa Data Element value.
* For more information, see the module's help documentation page.

## Version Information

0.3-alpha
- updated help documentation
- added correct version to the module info file (removed for deployment to drupal.org)

0.2-alpha
- added raw submission details email feature
- fixed header formatting issue with Drupal httpClient()

0.1-alpha:
- first build

Things to do:
- Disable sending if all form fields are set without mapping even if send form to sherpa selected
- Allow selection of a data element limited to a single instance (ajax remove them as you go)
	- remove them if quickset is checked for the form (?)
- Get correct sandbox company & community id for default values as well as production base url
- is webform_submission_presave() correct or should it be hook_webform_submission_actions($node, $submission) https://sites.google.com/site/ravivmane/webform-in-drupal/webform-hooks-example
- solution for using a select field to define community id
- end user editing (globally) of quick set values